OpenNMS API 1.2.9

## org.opennms.netmgt.mock
Class MockVisitorAdapter

    java.lang.Object
      org.opennms.netmgt.mock.MockVisitorAdapter

All Implemented Interfaces:
  MockVisitor

Direct Known Subclasses:
  MockNetworkTest.StatusChecker

public class MockVisitorAdapter
extends java.lang.Object
implements MockVisitor

Author:
  brozow TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Constructor Summary
`MockVisitorAdapter()`

Method Summary
`void` `visitContainer(MockContainer n)`
`void` `visitElement(MockElement e)`
`void` `visitInterface(MockInterface i)`
`void` `visitNetwork(MockNetwork n)`
`void` `visitNode(MockNode n)`
`void` `visitService(MockService s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockVisitorAdapter

    public MockVisitorAdapter()

Method Detail

### visitContainer

    public void visitContainer(MockContainer n)

  Specified by:
    `visitContainer` in interface `MockVisitor`

### visitElement

    public void visitElement(MockElement e)

  Specified by:
    `visitElement` in interface `MockVisitor`

### visitInterface

    public void visitInterface(MockInterface i)

  Specified by:
    `visitInterface` in interface `MockVisitor`

### visitNetwork

    public void visitNetwork(MockNetwork n)

  Specified by:
    `visitNetwork` in interface `MockVisitor`

### visitNode

    public void visitNode(MockNode n)

  Specified by:
    `visitNode` in interface `MockVisitor`

### visitService

    public void visitService(MockService s)

  Specified by:
    `visitService` in interface `MockVisitor`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.